[llvm-commits] CVS: llvm/test/TestRunner.sh
Chris Lattner
lattner at cs.uiuc.edu
Wed May 14 13:41:02 PDT 2003
Changes in directory llvm/test:
TestRunner.sh updated: 1.2 -> 1.3
---
Log message:
Generalize the script a bit
---
Diffs of the changes:
Index: llvm/test/TestRunner.sh
diff -u llvm/test/TestRunner.sh:1.2 llvm/test/TestRunner.sh:1.3
--- llvm/test/TestRunner.sh:1.2 Mon Feb 11 17:32:43 2002
+++ llvm/test/TestRunner.sh Wed May 14 13:39:57 2003
@@ -5,20 +5,34 @@
# immediately after a "RUN:" string.
#
# This runner recognizes and replaces the following strings in the command:
-# %s - Replaced with the input name of the program
#
+# %s - Replaced with the input name of the program, or the program to
+# execute, as appropriate.
+#
+
+FILENAME=$1
+SUBST=$1
+OUTPUT=$FILENAME.out
+
+if test $# != 1; then
+ # If more than one parameter is passed in, there must be three parameters:
+ # The filename to read from (already processed), the command used to execute,
+ # and the file to output to.
+ SUBST=$2
+ OUTPUT=$3
+fi
-grep 'RUN:' $1 | sed "s/^.*RUN:\(.*\)$/\1/g;s/%s/$1/g" > Output/$1.script
-OUTPUT=Output/$1.out
+SCRIPT=Output/$OUTPUT.script
+grep 'RUN:' $FILENAME | sed "s|^.*RUN:\(.*\)$|\1|g;s|%s|$SUBST|g" > $SCRIPT
-/bin/sh Output/$1.script > $OUTPUT 2>&1 || (
- echo "******************** TEST '$1' FAILED! ********************"
+/bin/sh $SCRIPT > $OUTPUT 2>&1 || (
+ echo "******************** TEST '$FILENAME' FAILED! ********************"
echo "Command: "
- cat Output/$1.script
+ cat $SCRIPT
echo "Output:"
cat $OUTPUT
rm $OUTPUT
- echo "******************** TEST '$1' FAILED! ********************"
+ echo "******************** TEST '$FILENAME' FAILED! ********************"
)
More information about the llvm-commits
mailing list